Bug 117255 - Cannot create un-authenticated SMB-attached printer
Cannot create un-authenticated SMB-attached printer
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-printer (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-02 01:59 EST by Ken Crandall
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Crandall 2004-03-02 01:59:01 EST
Description of problem:
redhat-config-printer does not allow you to create an SMB-attached
printer that is *NOT* authenticated

Version-Release number of selected component (if applicable):
redhat-config-printer-0.6.47.11-1

Steps to Reproduce:
1. Start redhat-config-printer
2. Create new printer using the druid
3. Create SMB printer
4. Try to leave authentication fields blank
  
Actual results:
Leave name and password blank and select "Next" and nothing happens...

Expected results:
Leave name and password blank and select "Next" and continue...
Comment 1 Tim Waugh 2004-03-02 05:02:44 EST
Sounds like the other end requires authentication.  We don't allow you
to set up an SMB queue that we know doesn't work (it tries smbclient).

However, this may be triggering a "bug" (actually smbclient changed
the meaning of one of its command line options, with no deprecation
period) which will soon be addressed in a redhat-config-printer update.
Comment 2 David Lawrence 2004-03-15 13:56:24 EST
Changing product and version.
Comment 3 RHEL Product and Program Management 2007-10-19 15:29:26 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.